## org.eclipse.emf.ecore.sdo.impl
Class EStoreEDataObjectImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.EStoreEObjectImpl
                      org.eclipse.emf.ecore.sdo.impl.EStoreEDataObjectImpl

All Implemented Interfaces:
  DataObject, java.io.Serializable, Notifier, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, EDataObject, InternalEDataObject

    public class EStoreEDataObjectImpl

extends EStoreEObjectImpl
implements EDataObject, InternalEDataObject

An implementation of the model object 'EData Object' that delegates to a `store`.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EStoreEObjectImpl
`EStoreEObjectImpl.BasicEStoreEList<E>, EStoreEObjectImpl.BasicEStoreFeatureMap, EStoreEObjectImpl.EStoreEList<E>, EStoreEObjectImpl.EStoreEPropertiesHolderImpl, EStoreEObjectImpl.EStoreFeatureMap, EStoreEObjectImpl.EStoreImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EStoreEObjectImpl
`ENO_SETTINGS, eSettings, eStore, EUNINITIALIZED_CONTAINER`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Constructor Summary
`EStoreEDataObjectImpl()`
`EStoreEDataObjectImpl(EClass eClass)`
`EStoreEDataObjectImpl(EClass eClass, InternalEObject.EStore eStore)`
`EStoreEDataObjectImpl(InternalEObject.EStore eStore)`

Method Summary
`DataObject` `createDataObject(int propertyIndex)`
`DataObject` `createDataObject(int propertyIndex, java.lang.String namespaceURI, java.lang.String typeName)`
`DataObject` `createDataObject(Property property)`
`DataObject` `createDataObject(Property property, Type type)`
`DataObject` `createDataObject(java.lang.String propertyName)`
`DataObject` `createDataObject(java.lang.String propertyName, java.lang.String namespaceURI, java.lang.String typeName)`
`void` `delete()`
`protected EClass` `eStaticClass()`
`java.lang.Object` `get(int propertyIndex)`
`java.lang.Object` `get(Property property)`
`java.lang.Object` `get(java.lang.String path)`
`java.math.BigDecimal` `getBigDecimal(int propertyIndex)`
`java.math.BigDecimal` `getBigDecimal(Property property)`
`java.math.BigDecimal` `getBigDecimal(java.lang.String path)`
`java.math.BigInteger` `getBigInteger(int propertyIndex)`
`java.math.BigInteger` `getBigInteger(Property property)`
`java.math.BigInteger` `getBigInteger(java.lang.String path)`
`boolean` `getBoolean(int propertyIndex)`
`boolean` `getBoolean(Property property)`
`boolean` `getBoolean(java.lang.String path)`
`byte` `getByte(int propertyIndex)`
`byte` `getByte(Property property)`
`byte` `getByte(java.lang.String path)`
`byte[]` `getBytes(int propertyIndex)`
`byte[]` `getBytes(Property property)`
`byte[]` `getBytes(java.lang.String path)`
`char` `getChar(int propertyIndex)`
`char` `getChar(Property property)`
`char` `getChar(java.lang.String path)`
`DataObject` `getContainer()`
`Property` `getContainmentProperty()`
`DataGraph` `getDataGraph()`
`DataObject` `getDataObject(int propertyIndex)`
`DataObject` `getDataObject(Property property)`
`DataObject` `getDataObject(java.lang.String path)`
`java.util.Date` `getDate(int propertyIndex)`
`java.util.Date` `getDate(Property property)`
`java.util.Date` `getDate(java.lang.String path)`
`double` `getDouble(int propertyIndex)`
`double` `getDouble(Property property)`
`double` `getDouble(java.lang.String path)`
`float` `getFloat(int propertyIndex)`
`float` `getFloat(Property property)`
`float` `getFloat(java.lang.String path)`
`java.util.List<Property>` `getInstanceProperties()`
`int` `getInt(int propertyIndex)`
`int` `getInt(Property property)`
`int` `getInt(java.lang.String path)`
`java.util.List<java.lang.Object>` `getList(int propertyIndex)`
`java.util.List<java.lang.Object>` `getList(Property property)`
`java.util.List<java.lang.Object>` `getList(java.lang.String path)`
`long` `getLong(int propertyIndex)`
`long` `getLong(Property property)`
`long` `getLong(java.lang.String path)`
`Sequence` `getSequence(int propertyIndex)`
`Sequence` `getSequence(Property property)`
`Sequence` `getSequence(java.lang.String path)`
`short` `getShort(int propertyIndex)`
`short` `getShort(Property property)`
`short` `getShort(java.lang.String path)`
`java.lang.String` `getString(int propertyIndex)`
`java.lang.String` `getString(Property property)`
`java.lang.String` `getString(java.lang.String path)`
`Type` `getType()`
`boolean` `isSet(int propertyIndex)`
`boolean` `isSet(Property property)`
`boolean` `isSet(java.lang.String path)`
`void` `set(int propertyIndex, java.lang.Object value)`
`void` `set(Property property, java.lang.Object value)`
`void` `set(java.lang.String path, java.lang.Object value)`
`void` `setBigDecimal(int propertyIndex, java.math.BigDecimal value)`
`void` `setBigDecimal(Property property, java.math.BigDecimal value)`
`void` `setBigDecimal(java.lang.String path, java.math.BigDecimal value)`
`void` `setBigInteger(int propertyIndex, java.math.BigInteger value)`
`void` `setBigInteger(Property property, java.math.BigInteger value)`
`void` `setBigInteger(java.lang.String path, java.math.BigInteger value)`
`void` `setBoolean(int propertyIndex, boolean value)`
`void` `setBoolean(Property property, boolean value)`
`void` `setBoolean(java.lang.String path, boolean value)`
`void` `setByte(int propertyIndex, byte value)`
`void` `setByte(Property property, byte value)`
`void` `setByte(java.lang.String path, byte value)`
`void` `setBytes(int propertyIndex, byte[] value)`
`void` `setBytes(Property property, byte[] value)`
`void` `setBytes(java.lang.String path, byte[] value)`
`void` `setChar(int propertyIndex, char value)`
`void` `setChar(Property property, char value)`
`void` `setChar(java.lang.String path, char value)`
`void` `setDataObject(int propertyIndex, DataObject value)`
`void` `setDataObject(Property property, DataObject value)`
`void` `setDataObject(java.lang.String path, DataObject value)`
`void` `setDate(int propertyIndex, java.util.Date value)`
`void` `setDate(Property property, java.util.Date value)`
`void` `setDate(java.lang.String path, java.util.Date value)`
`void` `setDouble(int propertyIndex, double value)`
`void` `setDouble(Property property, double value)`
`void` `setDouble(java.lang.String path, double value)`
`void` `setFloat(int propertyIndex, float value)`
`void` `setFloat(Property property, float value)`
`void` `setFloat(java.lang.String path, float value)`
`void` `setInt(int propertyIndex, int value)`
`void` `setInt(Property property, int value)`
`void` `setInt(java.lang.String path, int value)`
`void` `setList(int propertyIndex, java.util.List value)`
`void` `setList(Property property, java.util.List value)`
`void` `setList(java.lang.String path, java.util.List value)`
`void` `setLong(int propertyIndex, long value)`
`void` `setLong(Property property, long value)`
`void` `setLong(java.lang.String path, long value)`
`void` `setShort(int propertyIndex, short value)`
`void` `setShort(Property property, short value)`
`void` `setShort(java.lang.String path, short value)`
`void` `setString(int propertyIndex, java.lang.String value)`
`void` `setString(Property property, java.lang.String value)`
`void` `setString(java.lang.String path, java.lang.String value)`
`void` `unset(int propertyIndex)`
`void` `unset(Property property)`
`void` `unset(java.lang.String path)`
`java.lang.Object` `writeReplace()`

Methods inherited from class org.eclipse.emf.ecore.impl.EStoreEObjectImpl
`createFeatureMap, createList, dynamicGet, dynamicSet, dynamicUnset, eContainerFeatureID, eDerivedStructuralFeatureID, eDynamicIsSet, eHasSettings, eInitializeContainer, eInternalContainer, eIsCaching, eProperties, eSetStore, eSettings, eStaticFeatureCount, eStore`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eDeliver, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eIsSet, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSet, eSetDirectResource, eSetResource, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eUnset, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainerFeatureID, eDerivedStructuralFeatureID, eDirectResource, eGet, eGet, eInternalContainer, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSet, eSetClass, eSetProxyURI, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Constructor Detail

### EStoreEDataObjectImpl

    public EStoreEDataObjectImpl()

### EStoreEDataObjectImpl

    public EStoreEDataObjectImpl(EClass eClass)

### EStoreEDataObjectImpl

    public EStoreEDataObjectImpl(InternalEObject.EStore eStore)

### EStoreEDataObjectImpl

    public EStoreEDataObjectImpl(EClass eClass,
                                 InternalEObject.EStore eStore)

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `EObjectImpl`

### get

    public java.lang.Object get(java.lang.String path)

  Specified by:
    `get` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
  Returns:
    the value of the specified property.
  See Also:
    `DataObject.get(Property)`

### set

    public void set(java.lang.String path,
                    java.lang.Object value)

  Specified by:
    `set` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(Property, Object)`

### isSet

    public boolean isSet(java.lang.String path)

  Specified by:
    `isSet` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
  See Also:
    `DataObject.isSet(Property)`

### unset

    public void unset(java.lang.String path)

  Specified by:
    `unset` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
  See Also:
    `DataObject.unset(Property)`

### get

    public java.lang.Object get(int propertyIndex)

  Specified by:
    `get` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
  Returns:
    the value of the specified property.
  See Also:
    `DataObject.get(Property)`

### set

    public void set(int propertyIndex,
                    java.lang.Object value)

  Specified by:
    `set` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(Property, Object)`

### isSet

    public boolean isSet(int propertyIndex)

  Specified by:
    `isSet` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
  Returns:
    whether the specified property is set.
  See Also:
    `DataObject.isSet(Property)`

### unset

    public void unset(int propertyIndex)

  Specified by:
    `unset` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
  See Also:
    `DataObject.unset(Property)`

### get

    public java.lang.Object get(Property property)

  Specified by:
    `get` in interface `DataObject`
  Parameters:
    `property` - the property of the value to fetch.
  Returns:
    the value of the given property of the object.
  See Also:
    `DataObject.set(Property, Object)`, `DataObject.unset(Property)`, `DataObject.isSet(Property)`

### set

    public void set(Property property,
                    java.lang.Object value)

  Specified by:
    `set` in interface `DataObject`
  Parameters:
    `property` - the property of the value to set.
    `value` - the new value for the property.
  See Also:
    `DataObject.unset(Property)`, `DataObject.isSet(Property)`, `DataObject.get(Property)`

### isSet

    public boolean isSet(Property property)

  Specified by:
    `isSet` in interface `DataObject`
  Parameters:
    `property` - the property in question.
  Returns:
    whether the property of the object is set.
  See Also:
    `DataObject.set(Property, Object)`, `DataObject.unset(Property)`, `DataObject.get(Property)`

### unset

    public void unset(Property property)

  Specified by:
    `unset` in interface `DataObject`
  Parameters:
    `property` - the property in question.
  See Also:
    `DataObject.isSet(Property)`, `DataObject.set(Property, Object)`, `DataObject.get(Property)`

### getContainer

    public DataObject getContainer()

  Specified by:
    `getContainer` in interface `DataObject`
  Returns:
    the containing data object or `null`.

### getContainmentProperty

    public Property getContainmentProperty()

  Specified by:
    `getContainmentProperty` in interface `DataObject`
  Returns:
    the property containing this data object.

### getDataGraph

    public DataGraph getDataGraph()

  Specified by:
    `getDataGraph` in interface `DataObject`
  Returns:
    the containing data graph or `null`.

### getType

    public Type getType()

  Specified by:
    `getType` in interface `DataObject`
  Returns:
    the type.

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String path)

  Specified by:
    `getBigDecimal` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
  Returns:
    the `BigDecimal` value of the specified property.
  See Also:
    `DataObject.get(String)`

### getBigInteger

    public java.math.BigInteger getBigInteger(java.lang.String path)

  Specified by:
    `getBigInteger` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
  Returns:
    the `BigInteger` value of the specified property.
  See Also:
    `DataObject.get(String)`

### getBoolean

    public boolean getBoolean(java.lang.String path)

  Specified by:
    `getBoolean` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
  Returns:
    the `boolean` value of the specified property.
  See Also:
    `DataObject.get(String)`

### getByte

    public byte getByte(java.lang.String path)

  Specified by:
    `getByte` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
  Returns:
    the `byte` value of the specified property.
  See Also:
    `DataObject.get(String)`

### getBytes

    public byte[] getBytes(java.lang.String path)

  Specified by:
    `getBytes` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
  Returns:
    the `byte[]` value of the specified property.
  See Also:
    `DataObject.get(String)`

### getChar

    public char getChar(java.lang.String path)

  Specified by:
    `getChar` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
  Returns:
    the `char` value of the specified property.
  See Also:
    `DataObject.get(String)`

### getDataObject

    public DataObject getDataObject(java.lang.String path)

  Specified by:
    `getDataObject` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
  Returns:
    the `DataObject` value of the specified property.
  See Also:
    `DataObject.get(String)`

### getDate

    public java.util.Date getDate(java.lang.String path)

  Specified by:
    `getDate` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
  Returns:
    the `Date` value of the specified property.
  See Also:
    `DataObject.get(String)`

### getDouble

    public double getDouble(java.lang.String path)

  Specified by:
    `getDouble` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
  Returns:
    the `double` value of the specified property.
  See Also:
    `DataObject.get(String)`

### getFloat

    public float getFloat(java.lang.String path)

  Specified by:
    `getFloat` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
  Returns:
    the `float` value of the specified property.
  See Also:
    `DataObject.get(String)`

### getInt

    public int getInt(java.lang.String path)

  Specified by:
    `getInt` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
  Returns:
    the `int` value of the specified property.
  See Also:
    `DataObject.get(String)`

### getList

    public java.util.List<java.lang.Object> getList(java.lang.String path)

  Specified by:
    `getList` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
  Returns:
    the `List` value of the specified property.
  See Also:
    `DataObject.get(String)`

### getLong

    public long getLong(java.lang.String path)

  Specified by:
    `getLong` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
  Returns:
    the `long` value of the specified property.
  See Also:
    `DataObject.get(String)`

### getSequence

    public Sequence getSequence(java.lang.String path)

  Specified by:
    `getSequence` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
  Returns:
    the `DataSequence` value of the specified property.
  See Also:
    `DataObject.get(String)`

### getShort

    public short getShort(java.lang.String path)

  Specified by:
    `getShort` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
  Returns:
    the `short` value of the specified property.
  See Also:
    `DataObject.get(String)`

### getString

    public java.lang.String getString(java.lang.String path)

  Specified by:
    `getString` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
  Returns:
    the `String` value of the specified property.
  See Also:
    `DataObject.get(String)`

### setBigDecimal

    public void setBigDecimal(java.lang.String path,
                              java.math.BigDecimal value)

  Specified by:
    `setBigDecimal` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(String, Object)`

### setBigInteger

    public void setBigInteger(java.lang.String path,
                              java.math.BigInteger value)

  Specified by:
    `setBigInteger` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(String, Object)`

### setBoolean

    public void setBoolean(java.lang.String path,
                           boolean value)

  Specified by:
    `setBoolean` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(String, Object)`

### setByte

    public void setByte(java.lang.String path,
                        byte value)

  Specified by:
    `setByte` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(String, Object)`

### setBytes

    public void setBytes(java.lang.String path,
                         byte[] value)

  Specified by:
    `setBytes` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(String, Object)`

### setChar

    public void setChar(java.lang.String path,
                        char value)

  Specified by:
    `setChar` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(String, Object)`

### setDataObject

    public void setDataObject(java.lang.String path,
                              DataObject value)

  Specified by:
    `setDataObject` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(String, Object)`

### setDate

    public void setDate(java.lang.String path,
                        java.util.Date value)

  Specified by:
    `setDate` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(String, Object)`

### setDouble

    public void setDouble(java.lang.String path,
                          double value)

  Specified by:
    `setDouble` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(String, Object)`

### setFloat

    public void setFloat(java.lang.String path,
                         float value)

  Specified by:
    `setFloat` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(String, Object)`

### setInt

    public void setInt(java.lang.String path,
                       int value)

  Specified by:
    `setInt` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(String, Object)`

### setList

    public void setList(java.lang.String path,
                        java.util.List value)

  Specified by:
    `setList` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(String, Object)`

### setLong

    public void setLong(java.lang.String path,
                        long value)

  Specified by:
    `setLong` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(String, Object)`

### setShort

    public void setShort(java.lang.String path,
                         short value)

  Specified by:
    `setShort` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(String, Object)`

### setString

    public void setString(java.lang.String path,
                          java.lang.String value)

  Specified by:
    `setString` in interface `DataObject`
  Parameters:
    `path` - the path to a valid object and property.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(String, Object)`

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int propertyIndex)

  Specified by:
    `getBigDecimal` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
  Returns:
    the `BigDecimal` value of the specified property.
  See Also:
    `DataObject.get(int)`

### getBigInteger

    public java.math.BigInteger getBigInteger(int propertyIndex)

  Specified by:
    `getBigInteger` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
  Returns:
    the `BigInteger` value of the specified property.
  See Also:
    `DataObject.get(int)`

### getBoolean

    public boolean getBoolean(int propertyIndex)

  Specified by:
    `getBoolean` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
  Returns:
    the `boolean` value of the specified property.
  See Also:
    `DataObject.get(int)`

### getByte

    public byte getByte(int propertyIndex)

  Specified by:
    `getByte` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
  Returns:
    the `byte` value of the specified property.
  See Also:
    `DataObject.get(int)`

### getBytes

    public byte[] getBytes(int propertyIndex)

  Specified by:
    `getBytes` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
  Returns:
    the `byte[]` value of the specified property.
  See Also:
    `DataObject.get(int)`

### getChar

    public char getChar(int propertyIndex)

  Specified by:
    `getChar` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
  Returns:
    the `char` value of the specified property.
  See Also:
    `DataObject.get(int)`

### getDataObject

    public DataObject getDataObject(int propertyIndex)

  Specified by:
    `getDataObject` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
  Returns:
    the `DataObject` value of the specified property.
  See Also:
    `DataObject.get(int)`

### getDate

    public java.util.Date getDate(int propertyIndex)

  Specified by:
    `getDate` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
  Returns:
    the `Date` value of the specified property.
  See Also:
    `DataObject.get(int)`

### getDouble

    public double getDouble(int propertyIndex)

  Specified by:
    `getDouble` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
  Returns:
    the `double` value of the specified property.
  See Also:
    `DataObject.get(int)`

### getFloat

    public float getFloat(int propertyIndex)

  Specified by:
    `getFloat` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
  Returns:
    the `float` value of the specified property.
  See Also:
    `DataObject.get(int)`

### getInt

    public int getInt(int propertyIndex)

  Specified by:
    `getInt` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
  Returns:
    the `int` value of the specified property.
  See Also:
    `DataObject.get(int)`

### getList

    public java.util.List<java.lang.Object> getList(int propertyIndex)

  Specified by:
    `getList` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
  Returns:
    the `List` value of the specified property.
  See Also:
    `DataObject.get(int)`

### getLong

    public long getLong(int propertyIndex)

  Specified by:
    `getLong` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
  Returns:
    the `long` value of the specified property.
  See Also:
    `DataObject.get(int)`

### getSequence

    public Sequence getSequence(int propertyIndex)

  Specified by:
    `getSequence` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
  Returns:
    the `DataSequence` value of the specified property.
  See Also:
    `DataObject.get(int)`

### getShort

    public short getShort(int propertyIndex)

  Specified by:
    `getShort` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
  Returns:
    the `short` value of the specified property.
  See Also:
    `DataObject.get(int)`

### getString

    public java.lang.String getString(int propertyIndex)

  Specified by:
    `getString` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
  Returns:
    the `String` value of the specified property.
  See Also:
    `DataObject.get(int)`

### setBigDecimal

    public void setBigDecimal(int propertyIndex,
                              java.math.BigDecimal value)

  Specified by:
    `setBigDecimal` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(int, Object)`

### setBigInteger

    public void setBigInteger(int propertyIndex,
                              java.math.BigInteger value)

  Specified by:
    `setBigInteger` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(int, Object)`

### setBoolean

    public void setBoolean(int propertyIndex,
                           boolean value)

  Specified by:
    `setBoolean` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(int, Object)`

### setByte

    public void setByte(int propertyIndex,
                        byte value)

  Specified by:
    `setByte` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(int, Object)`

### setBytes

    public void setBytes(int propertyIndex,
                         byte[] value)

  Specified by:
    `setBytes` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(int, Object)`

### setChar

    public void setChar(int propertyIndex,
                        char value)

  Specified by:
    `setChar` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(int, Object)`

### setDataObject

    public void setDataObject(int propertyIndex,
                              DataObject value)

  Specified by:
    `setDataObject` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(int, Object)`

### setDate

    public void setDate(int propertyIndex,
                        java.util.Date value)

  Specified by:
    `setDate` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(int, Object)`

### setDouble

    public void setDouble(int propertyIndex,
                          double value)

  Specified by:
    `setDouble` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(int, Object)`

### setFloat

    public void setFloat(int propertyIndex,
                         float value)

  Specified by:
    `setFloat` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(int, Object)`

### setInt

    public void setInt(int propertyIndex,
                       int value)

  Specified by:
    `setInt` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(int, Object)`

### setList

    public void setList(int propertyIndex,
                        java.util.List value)

  Specified by:
    `setList` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(int, Object)`

### setLong

    public void setLong(int propertyIndex,
                        long value)

  Specified by:
    `setLong` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(int, Object)`

### setShort

    public void setShort(int propertyIndex,
                         short value)

  Specified by:
    `setShort` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(int, Object)`

### setString

    public void setString(int propertyIndex,
                          java.lang.String value)

  Specified by:
    `setString` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the property.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(int, Object)`

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(Property property)

  Specified by:
    `getBigDecimal` in interface `DataObject`
  Parameters:
    `property` - the property to get.
  Returns:
    the `BigDecimal` value of the specified property.
  See Also:
    `DataObject.get(Property)`

### getBigInteger

    public java.math.BigInteger getBigInteger(Property property)

  Specified by:
    `getBigInteger` in interface `DataObject`
  Parameters:
    `property` - the property to get.
  Returns:
    the `BigInteger` value of the specified property.
  See Also:
    `DataObject.get(Property)`

### getBoolean

    public boolean getBoolean(Property property)

  Specified by:
    `getBoolean` in interface `DataObject`
  Parameters:
    `property` - the property to get.
  Returns:
    the `boolean` value of the specified property.
  See Also:
    `DataObject.get(Property)`

### getByte

    public byte getByte(Property property)

  Specified by:
    `getByte` in interface `DataObject`
  Parameters:
    `property` - the property to get.
  Returns:
    the `byte` value of the specified property.
  See Also:
    `DataObject.get(Property)`

### getBytes

    public byte[] getBytes(Property property)

  Specified by:
    `getBytes` in interface `DataObject`
  Parameters:
    `property` - the property to get.
  Returns:
    the `byte[]` value of the specified property.
  See Also:
    `DataObject.get(Property)`

### getChar

    public char getChar(Property property)

  Specified by:
    `getChar` in interface `DataObject`
  Parameters:
    `property` - the property to get.
  Returns:
    the `char` value of the specified property.
  See Also:
    `DataObject.get(Property)`

### getDataObject

    public DataObject getDataObject(Property property)

  Specified by:
    `getDataObject` in interface `DataObject`
  Parameters:
    `property` - the property to get.
  Returns:
    the `DataObject` value of the specified property.
  See Also:
    `DataObject.get(Property)`

### getDate

    public java.util.Date getDate(Property property)

  Specified by:
    `getDate` in interface `DataObject`
  Parameters:
    `property` - the property to get.
  Returns:
    the `Date` value of the specified property.
  See Also:
    `DataObject.get(Property)`

### getDouble

    public double getDouble(Property property)

  Specified by:
    `getDouble` in interface `DataObject`
  Parameters:
    `property` - the property to get.
  Returns:
    the `double` value of the specified property.
  See Also:
    `DataObject.get(Property)`

### getFloat

    public float getFloat(Property property)

  Specified by:
    `getFloat` in interface `DataObject`
  Parameters:
    `property` - the property to get.
  Returns:
    the `float` value of the specified property.
  See Also:
    `DataObject.get(Property)`

### getInt

    public int getInt(Property property)

  Specified by:
    `getInt` in interface `DataObject`
  Parameters:
    `property` - the property to get.
  Returns:
    the `int` value of the specified property.
  See Also:
    `DataObject.get(Property)`

### getList

    public java.util.List<java.lang.Object> getList(Property property)

  Specified by:
    `getList` in interface `DataObject`
  Parameters:
    `property` - the property to get.
  Returns:
    the `List` value of the specified property.
  See Also:
    `DataObject.get(Property)`

### getLong

    public long getLong(Property property)

  Specified by:
    `getLong` in interface `DataObject`
  Parameters:
    `property` - the property to get.
  Returns:
    the `long` value of the specified property.
  See Also:
    `DataObject.get(Property)`

### getSequence

    public Sequence getSequence(Property property)

  Specified by:
    `getSequence` in interface `DataObject`
  Parameters:
    `property` - the property to get.
  Returns:
    the `DataSequence` value of the specified property.
  See Also:
    `DataObject.get(Property)`

### getShort

    public short getShort(Property property)

  Specified by:
    `getShort` in interface `DataObject`
  Parameters:
    `property` - the property to get.
  Returns:
    the `short` value of the specified property.
  See Also:
    `DataObject.get(Property)`

### getString

    public java.lang.String getString(Property property)

  Specified by:
    `getString` in interface `DataObject`
  Parameters:
    `property` - the property to get.
  Returns:
    the `String` value of the specified property.
  See Also:
    `DataObject.get(Property)`

### setBigDecimal

    public void setBigDecimal(Property property,
                              java.math.BigDecimal value)

  Specified by:
    `setBigDecimal` in interface `DataObject`
  Parameters:
    `property` - the property to set.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(Property, Object)`

### setBigInteger

    public void setBigInteger(Property property,
                              java.math.BigInteger value)

  Specified by:
    `setBigInteger` in interface `DataObject`
  Parameters:
    `property` - the property to set.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(Property, Object)`

### setBoolean

    public void setBoolean(Property property,
                           boolean value)

  Specified by:
    `setBoolean` in interface `DataObject`
  Parameters:
    `property` - the property to set.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(Property, Object)`

### setByte

    public void setByte(Property property,
                        byte value)

  Specified by:
    `setByte` in interface `DataObject`
  Parameters:
    `property` - the property to set.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(Property, Object)`

### setBytes

    public void setBytes(Property property,
                         byte[] value)

  Specified by:
    `setBytes` in interface `DataObject`
  Parameters:
    `property` - the property to set.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(Property, Object)`

### setChar

    public void setChar(Property property,
                        char value)

  Specified by:
    `setChar` in interface `DataObject`
  Parameters:
    `property` - the property to set.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(Property, Object)`

### setDataObject

    public void setDataObject(Property property,
                              DataObject value)

  Specified by:
    `setDataObject` in interface `DataObject`
  Parameters:
    `property` - the property to set.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(Property, Object)`

### setDate

    public void setDate(Property property,
                        java.util.Date value)

  Specified by:
    `setDate` in interface `DataObject`
  Parameters:
    `property` - the property to set.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(Property, Object)`

### setDouble

    public void setDouble(Property property,
                          double value)

  Specified by:
    `setDouble` in interface `DataObject`
  Parameters:
    `property` - the property to set.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(Property, Object)`

### setFloat

    public void setFloat(Property property,
                         float value)

  Specified by:
    `setFloat` in interface `DataObject`
  Parameters:
    `property` - the property to set.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(Property, Object)`

### setInt

    public void setInt(Property property,
                       int value)

  Specified by:
    `setInt` in interface `DataObject`
  Parameters:
    `property` - the property to set.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(Property, Object)`

### setList

    public void setList(Property property,
                        java.util.List value)

  Specified by:
    `setList` in interface `DataObject`
  Parameters:
    `property` - the property to set.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(Property, Object)`

### setLong

    public void setLong(Property property,
                        long value)

  Specified by:
    `setLong` in interface `DataObject`
  Parameters:
    `property` - the property to set.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(Property, Object)`

### setShort

    public void setShort(Property property,
                         short value)

  Specified by:
    `setShort` in interface `DataObject`
  Parameters:
    `property` - the property to set.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(Property, Object)`

### setString

    public void setString(Property property,
                          java.lang.String value)

  Specified by:
    `setString` in interface `DataObject`
  Parameters:
    `property` - the property to set.
    `value` - the new value for the property.
  See Also:
    `DataObject.set(Property, Object)`

### createDataObject

    public DataObject createDataObject(java.lang.String propertyName)

  Specified by:
    `createDataObject` in interface `DataObject`
  Parameters:
    `propertyName` - the name of the specified containment property.
  Returns:
    the created data object.
  See Also:
    `DataObject.createDataObject(String, String, String)`

### createDataObject

    public DataObject createDataObject(int propertyIndex)

  Specified by:
    `createDataObject` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the specified containment property.
  Returns:
    the created data object.
  See Also:
    `DataObject.createDataObject(int, String, String)`

### createDataObject

    public DataObject createDataObject(Property property)

  Specified by:
    `createDataObject` in interface `DataObject`
  Parameters:
    `property` - the specified containment property.
  Returns:
    the created data object.
  See Also:
    `DataObject.createDataObject(Property, Type)`

### createDataObject

    public DataObject createDataObject(java.lang.String propertyName,
                                       java.lang.String namespaceURI,
                                       java.lang.String typeName)

  Specified by:
    `createDataObject` in interface `DataObject`
  Parameters:
    `propertyName` - the name of the specified containment property.
    `namespaceURI` - the namespace URI of the package containing the type of object to be created.
    `typeName` - the name of a type in the specified package.
  Returns:
    the created data object.
  See Also:
    `DataObject.createDataObject(String)`, `DataGraph.getType(java.lang.String, java.lang.String)`

### createDataObject

    public DataObject createDataObject(int propertyIndex,
                                       java.lang.String namespaceURI,
                                       java.lang.String typeName)

  Specified by:
    `createDataObject` in interface `DataObject`
  Parameters:
    `propertyIndex` - the index of the specified containment property.
    `namespaceURI` - the namespace URI of the package containing the type of object to be created.
    `typeName` - the name of a type in the specified package.
  Returns:
    the created data object.
  See Also:
    `DataObject.createDataObject(int)`, `DataGraph.getType(java.lang.String, java.lang.String)`

### createDataObject

    public DataObject createDataObject(Property property,
                                       Type type)

  Specified by:
    `createDataObject` in interface `DataObject`
  Parameters:
    `property` - a containment property of this object.
    `type` - the type of object to be created.
  Returns:
    the created data object.
  See Also:
    `DataObject.createDataObject(int)`

### delete

    public void delete()

  Specified by:
    `delete` in interface `DataObject`

### writeReplace

    public java.lang.Object writeReplace()
                                  throws java.io.ObjectStreamException

  Specified by:
    `writeReplace` in interface `InternalEDataObject`
  Throws:
    `java.io.ObjectStreamException`

### getInstanceProperties

    public java.util.List<Property> getInstanceProperties()

  Specified by:
    `getInstanceProperties` in interface `EDataObject`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.